
<!-- Tables ........................... -->

<!ENTITY % new.table.module "INCLUDE">
<![%new.table.module;[

<!-- =========================================================== -->
<!-- =========================================================== -->
<!-- Here we define the union of the CALS, OASIS XML Exchange,   -->
<!-- and HTML table models                                       -->
<!-- =========================================================== -->
<!-- =========================================================== -->

<!-- ====================================================== -->
<!--        Set up and read in (most of) the XHTML model    -->
<!-- ====================================================== -->

<!-- Reference some XHTML parameter entity decls -->
<!ENTITY % xhtml-parments 
  SYSTEM
  "xhtml-parments.mod">
%xhtml-parments;

<!ENTITY % Inline "(%formalobject.title.content;)"> <!-- model for caption -->
<!ENTITY % Flow "(%para.char.mix; | %tabentry.mix;)">  <!-- model for th and td -->

<!-- Reference (most of) XHTML Table Model 
     but defns for table, caption, tbody, tfoot and thead are commented out -->
<!ENTITY % xhtmltablemodel 
  SYSTEM
  "xhtmltbl.dtd">
%xhtmltablemodel;

<!ENTITY % common.extra.html.table.attribs "
  class       CDATA          #IMPLIED
  style       CDATA          #IMPLIED
  title       %Text;         #IMPLIED
  %i18n; %events;
  %cellhalign;">

<!-- ====================================================== -->
<!--        Set up and read in the CALS model               -->
<!-- ====================================================== -->

<!ENTITY % tables.role.attrib "%role.attrib;">

<!-- Add label and role attributes to table and informaltable -->
<!ENTITY % bodyatt "%label.attrib;">

<!-- Add common attributes to Table, TGroup, TBody, THead, TFoot, Row, 
     EntryTbl, and Entry (and InformalTable element). -->
<!ENTITY % secur "
	%common.attrib;
	%common.extra.html.table.attribs;
	%tables.role.attrib;">

<!ENTITY % common.table.attribs
	"%bodyatt;
	%secur;">

<!-- Content model for Table (that also allows HTML tables) -->
<!ENTITY % tbl.table.mdl
	"(((%formalobject.title.content;), (%ndxterm.class;)*,
               (graphic+|mediaobject+|tgroup+)) |
	  (caption, (col*|colgroup*), thead?, tfoot?, (tbody+|tr+)))">

<!-- Attributes for Table (including HTML ones) -->
<!ENTITY % tbl.table.att        '
    tabstyle    CDATA           #IMPLIED
    tocentry    %yesorno.attvals;       #IMPLIED
    shortentry  %yesorno.attvals;       #IMPLIED
    orient      (port|land)     #IMPLIED
    pgwide      %yesorno.attvals;       #IMPLIED 
    summary     %Text;          #IMPLIED
    width       %Length;        #IMPLIED
    border      %Pixels;        #IMPLIED
    rules       %TRules;        #IMPLIED
    cellspacing %Length;        #IMPLIED
    cellpadding %Length;        #IMPLIED
    align       %TAlign;        #IMPLIED
    bgcolor     %Color;         #IMPLIED
'>

<!ENTITY % tbl.frame.attval "void|above|below|hsides|lhs|rhs|vsides|box|border|
top|bottom|topbot|all|sides|none">

<!-- Allow either objects or inlines; beware of REs between elements. -->
<!ENTITY % tbl.entry.mdl "%para.char.mix; | %tabentry.mix;">

<!-- thead, tfoot, and tbody are defined in both table models,
     so we set up parameter entities to define union models for them
 -->

<!ENTITY % tbl.hdft.mdl        "(tr+|(colspec*,row+))">
<!ENTITY % tbl.tbody.mdl       "(tr+|row+)">
<!ENTITY % tbl.valign.attval   "top|middle|bottom|baseline">

<!-- Reference CALS Table Model -->
<!ENTITY % calstablemodel 
  PUBLIC "-//OASIS//DTD DocBook XML CALS Table Model V4.1.2 20020326//EN"
  "calstblx.dtd">
%calstablemodel;

<!--end of new.table.module-->]]>

<!ENTITY % new.informaltable.module "INCLUDE">
<![%new.informaltable.module;[

<!-- Note that InformalTable is dependent on some of the entity
     declarations that customize Table. -->

<!ENTITY % local.informaltable.attrib "">

<!ENTITY % informaltable.element "INCLUDE">
<![%informaltable.element;[
<!ELEMENT informaltable (graphic+|mediaobject+|tgroup+|
	((col*|colgroup*), thead?, tfoot?, (tbody+|tr+))
)>
<!--end of informaltable.element-->]]>

<!-- Frame, Colsep, and Rowsep must be repeated because
		they are not in entities in the table module. -->
<!-- includes TabStyle, ToCentry, ShortEntry, 
				Orient, PgWide -->
<!-- includes Label -->
<!-- includes common attributes -->


<!ENTITY % informaltable.attlist "INCLUDE">
<![%informaltable.attlist;[
<!ATTLIST informaltable
		frame		(%tbl.frame.attval;)	#IMPLIED
		colsep		%yesorno.attvals;	#IMPLIED
		rowsep		%yesorno.attvals;	#IMPLIED
		%common.table.attribs;
		%tbl.table.att;
		%local.informaltable.attrib;
>
<!--end of informaltable.attlist-->]]>
<!--end of new.informaltable.module-->]]>
